package cn.com.ctop.kuaishou.modules.channel.service;

import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelItems;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 渠道号对应单品信息表
 *
 * @author jeecg-boot
 * 2021-08-30
 * @version V1.0
 */
public interface IKuaishouChannelItemsService extends IService<KuaishouChannelItems> {

    Result<Object> queryChannelItemList(KuaishouChannelItems kuaishouChannelItems);

    Result<Object> queryAllChannelItemByProjectId(Long projectId);

    Result<Object> addChannelItem(JSONArray request);

    Result<Object> channelBindingItem(JSONArray request);

    Result<Object> importItemExcel(MultipartFile file) throws Exception;

}
